Patchwork [Oneiric,1/1] UBUNTU: Resolve linux-image-extra's install dependency

login
register
mail settings
Submitter Leann Ogasawara
Date Oct. 6, 2011, 3:58 p.m.
Message ID <1317916736.2260.10.camel@adamo>
Download mbox | patch
Permalink /patch/118115/
State New
Headers show

Comments

Leann Ogasawara - Oct. 6, 2011, 3:58 p.m.
BugLink: http://bugs.launchpad.net/bugs/869270

== SRU Justification ==

We are currently unable to install the linux-image-extra virtual flavor
package due to a dependency issue.  I've tested and confirmed the
following fix resolves the issue and allows the installation of
linux-image-extra for the virtual flavor.

From 1af157fdfefa6e49a92cc86a87f295b052f1ee84 Mon Sep 17 00:00:00 2001
From: Leann Ogasawara <leann.ogasawara@canonical.com>
Date: Thu, 6 Oct 2011 08:21:28 -0700
Subject: [PATCH] UBUNTU: Resolve linux-image-extra's install dependency

BugLink: http://bugs.launchpad.net/bugs/869270

Fix up the following install dependency issue:

The following packages have unmet dependencies:
 linux-image-extra-3.0.0-12-virtual : Depends:
linux-image-3.0.0-12-virtual (= 3.0.0) but 3.0.0-12.19 is to be
installed
E: Unable to correct problems, you have held broken packages.

Signed-off-by: Leann Ogasawara <leann.ogasawara@canonical.com>
---
 debian.master/control.d/flavour-control.stub |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
Tim Gardner - Oct. 6, 2011, 4:13 p.m.
On 10/06/2011 09:58 AM, Leann Ogasawara wrote:
> BugLink: http://bugs.launchpad.net/bugs/869270
>
> == SRU Justification ==
>
> We are currently unable to install the linux-image-extra virtual flavor
> package due to a dependency issue.  I've tested and confirmed the
> following fix resolves the issue and allows the installation of
> linux-image-extra for the virtual flavor.
>
>  From 1af157fdfefa6e49a92cc86a87f295b052f1ee84 Mon Sep 17 00:00:00 2001
> From: Leann Ogasawara<leann.ogasawara@canonical.com>
> Date: Thu, 6 Oct 2011 08:21:28 -0700
> Subject: [PATCH] UBUNTU: Resolve linux-image-extra's install dependency
>
> BugLink: http://bugs.launchpad.net/bugs/869270
>
> Fix up the following install dependency issue:
>
> The following packages have unmet dependencies:
>   linux-image-extra-3.0.0-12-virtual : Depends:
> linux-image-3.0.0-12-virtual (= 3.0.0) but 3.0.0-12.19 is to be
> installed
> E: Unable to correct problems, you have held broken packages.
>
> Signed-off-by: Leann Ogasawara<leann.ogasawara@canonical.com>
> ---
>   debian.master/control.d/flavour-control.stub |    2 +-
>   1 files changed, 1 insertions(+), 1 deletions(-)
>
> diff --git a/debian.master/control.d/flavour-control.stub b/debian.master/control.d/flavour-control.stub
> index f304d96..f6184a4 100644
> --- a/debian.master/control.d/flavour-control.stub
> +++ b/debian.master/control.d/flavour-control.stub
> @@ -51,7 +51,7 @@ Package: linux-image-extra-PKGVER-ABINUM-FLAVOUR
>   Architecture: ARCH
>   Section: admin
>   Priority: optional
> -Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-PKGVER-ABINUM-FLAVOUR (= PKGVER)
> +Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-PKGVER-ABINUM-FLAVOUR
>   Description: Linux kernel image for version PKGVER on DESC
>    This package contains the Linux kernel image for version PKGVER on
>    DESC.
Leann Ogasawara - Oct. 6, 2011, 5:58 p.m.
Applied to Oneiric master-next.

Thanks,
Leann

On Thu, 2011-10-06 at 08:58 -0700, Leann Ogasawara wrote:
> BugLink: http://bugs.launchpad.net/bugs/869270
> 
> == SRU Justification ==
> 
> We are currently unable to install the linux-image-extra virtual flavor
> package due to a dependency issue.  I've tested and confirmed the
> following fix resolves the issue and allows the installation of
> linux-image-extra for the virtual flavor.
> 
> From 1af157fdfefa6e49a92cc86a87f295b052f1ee84 Mon Sep 17 00:00:00 2001
> From: Leann Ogasawara <leann.ogasawara@canonical.com>
> Date: Thu, 6 Oct 2011 08:21:28 -0700
> Subject: [PATCH] UBUNTU: Resolve linux-image-extra's install dependency
> 
> BugLink: http://bugs.launchpad.net/bugs/869270
> 
> Fix up the following install dependency issue:
> 
> The following packages have unmet dependencies:
>  linux-image-extra-3.0.0-12-virtual : Depends:
> linux-image-3.0.0-12-virtual (= 3.0.0) but 3.0.0-12.19 is to be
> installed
> E: Unable to correct problems, you have held broken packages.
> 
> Signed-off-by: Leann Ogasawara <leann.ogasawara@canonical.com>
> ---
>  debian.master/control.d/flavour-control.stub |    2 +-
>  1 files changed, 1 insertions(+), 1 deletions(-)
> 
> diff --git a/debian.master/control.d/flavour-control.stub b/debian.master/control.d/flavour-control.stub
> index f304d96..f6184a4 100644
> --- a/debian.master/control.d/flavour-control.stub
> +++ b/debian.master/control.d/flavour-control.stub
> @@ -51,7 +51,7 @@ Package: linux-image-extra-PKGVER-ABINUM-FLAVOUR
>  Architecture: ARCH
>  Section: admin
>  Priority: optional
> -Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-PKGVER-ABINUM-FLAVOUR (= PKGVER)
> +Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-PKGVER-ABINUM-FLAVOUR
>  Description: Linux kernel image for version PKGVER on DESC
>   This package contains the Linux kernel image for version PKGVER on
>   DESC.
> -- 
> 1.7.4.1
> 
> 
> 
>

Patch

diff --git a/debian.master/control.d/flavour-control.stub b/debian.master/control.d/flavour-control.stub
index f304d96..f6184a4 100644
--- a/debian.master/control.d/flavour-control.stub
+++ b/debian.master/control.d/flavour-control.stub
@@ -51,7 +51,7 @@  Package: linux-image-extra-PKGVER-ABINUM-FLAVOUR
 Architecture: ARCH
 Section: admin
 Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-PKGVER-ABINUM-FLAVOUR (= PKGVER)
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-PKGVER-ABINUM-FLAVOUR
 Description: Linux kernel image for version PKGVER on DESC
  This package contains the Linux kernel image for version PKGVER on
  DESC.